#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: test-framework
version: 0.8.1.1
id: test-framework-0.8.1.1-5a3df2d8841d135af59f565b4523a232
key: testf_8qnrGlwfFEU8WvB3D89ebE
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: https://batterseapower.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.Console Test.Framework.Runners.Options
    Test.Framework.Runners.TestPattern Test.Framework.Runners.API
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/test-framework-0.8.1.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/test-framework-0.8.1.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/test-framework-0.8.1.1
hs-libraries: HStest-framework-0.8.1.1-8qnrGlwfFEU8WvB3D89ebE
include-dirs: /usr/local/include
depends:
    ansi-terminal-0.6.2.1-45b37b0fd2ec6c9b1401ee63612af3c1
    ansi-wl-pprint-0.6.7.3-4a815b1272dc57cfe60d69f54f7bd0e8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    hostname-1.0-ecf2424a72dcdb03101bfe7d58004d2c
    old-locale-1.0.0.7-2f3f4311e12e7847c2af472c26151237
    random-1.1-3dda2690fd91339395d65768b92ac58f
    regex-posix-0.95.2-3fcf0c80fe122e3a88ffad01dd47b434
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    xml-1.3.14-7612efe757d06cd73c0b08360bf29cdb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/test-framework-0.8.1.1/html/test-framework.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/test-framework-0.8.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
